Summary:	VI emulation support
Summary(pl.UTF-8):	Emulacja VI
Name:		xemacs-viper-pkg
%define 	srcname	viper
Version:	1.67
Release:	2
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	http://ftp.xemacs.org/xemacs/packages/%{srcname}-%{version}-pkg.tar.gz
# Source0-md5:	5913b7a644053f279b578ed469b384d0
Patch0:		%{name}-info.patch
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
VI emulation support.

%description -l pl.UTF-8
Emulacja VI.

%prep
%setup -q -c
%patch0 -p1

%build
(cd man/viper; awk '/^\\input texinfo/ {print FILENAME}' * | xargs makeinfo)

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/xemacs-packages,%{_infodir}}

cp -a * $RPM_BUILD_ROOT%{_datadir}/xemacs-packages
mv -f  $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/info/*.info* $RPM_BUILD_ROOT%{_infodir}
rm -fr $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/info

# remove .el file if corresponding .elc file exists
find $RPM_BUILD_ROOT -type f -name "*.el" | while read i; do test ! -f ${i}c || rm -f $i; done

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc lisp/viper/{README,ChangeLog}
%{_datadir}/xemacs-packages%{_sysconfdir}/*
%dir %{_datadir}/xemacs-packages/lisp/*
%{_datadir}/xemacs-packages/lisp/*/*.el*
%{_infodir}/*.info*
%changelog
* Sat May 02 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xemacs-viper-pkg.git;a=log;h=master

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> b774811
- x32 rebuild
- release 2 (by relup.sh)

* Tue Jun 28 2011 marti <marti@pld-linux.org> 761611d
- up to 1.67

* Sun Feb 06 2011 sparky <sparky@pld-linux.org> 81a8063
- unified %clean section

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> b34c65d
- package only info files from %{_infodir} (do not package %{_infodir}/dir)

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> f487808
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Fri Apr 06 2007 Jakub Bogusz <qboosh@pld-linux.org> 8b7431a
- changed Source0 to http as ftp no longer works

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> b981610
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 16652f3
- converted to UTF-8

* Sun Sep 19 2004 havner <havner@pld-linux.org> 18d523c
- [mass commit] rel up for amd64 rebuild

* Wed Nov 26 2003 Andrzej Augustynowicz <andrzej@augustynowicz.eu.org> 97c1b68
- updated to 1.37

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> b976ce8
- spaces -> tab

* Wed May 28 2003 Michal Moskal <michal@moskal.me> d19661c
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> b00dc2e
- massive attack s/pld.org.pl/pld-linux.org/

* Thu Nov 21 2002 mis <mis@pld-linux.org> 9d19c75
- autoupdated to 1.35

* Thu Jul 04 2002 kloczek <kloczek@pld-linux.org> b25e159
- updated to 1.34 (few new functions).

* Sun Jun 30 2002 marcus <marcus@pld-linux.org> 14be57b
- rel.2.
- use new %%doc

* Thu Apr 18 2002 Artur Frysiak <artur@frysiak.net> d2e1b29
- updated to 1.33

* Sun Apr 14 2002 klakier <klakier@pld-linux.org> 5352e79
- massive change: pack .el file id compiled .elc file does not exist
- not tested for all affected packages, you may blame me if something fails

* Sat Feb 23 2002 kloczek <kloczek@pld-linux.org> 7a72a9d
- adapterized.

* Fri Feb 22 2002 kloczek <kloczek@pld-linux.org> 72d796f
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

